Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class DOMErrorHandlerWrapper

    java.lang.Object
      weblogic.apache.xerces.util.DOMErrorHandlerWrapper

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMErrorHandler, XMLErrorHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMErrorHandlerWrapper
extends Object
implements XMLErrorHandler, org.apache.xerces.dom3.DOMErrorHandler

This class handles DOM errors .

See Also:
  `DOMErrorHandler`

Field Summary
`Node` | `fCurrentNode` Deprecated.
`protected DOMErrorImpl` | `fDOMError` Deprecated.
`protected org.apache.xerces.dom3.DOMErrorHandler` | `fDomErrorHandler` Deprecated.
`protected PrintWriter` | `fOut` Deprecated.

Constructor Summary
`DOMErrorHandlerWrapper()` Deprecated.
`DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)` Deprecated.

Method Summary
`void` | `error(String domain, String key, XMLParseException exception)` Deprecated. Reports an error.
`void` | `fatalError(String domain, String key, XMLParseException exception)` Deprecated. Report a fatal error.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()` Deprecated.
`boolean` | `handleError(org.apache.xerces.dom3.DOMError error)` Deprecated.
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` Deprecated. Sets the DOM error handler.
`void` | `warning(String domain, String key, XMLParseException exception)` Deprecated. Reports a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fCurrentNode

    public Node fCurrentNode

  Deprecated.

### fDOMError

    protected final DOMErrorImpl fDOMError

  Deprecated.

### fDomErrorHandler

    protected org.apache.xerces.dom3.DOMErrorHandler fDomErrorHandler

  Deprecated.

### fOut

    protected PrintWriter fOut

  Deprecated.

Constructor Detail

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper()

  Deprecated.

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)

  Deprecated.

Method Detail

### error

    public void error(String domain,
                      String key,
                      XMLParseException exception)
               throws XNIException

  Deprecated.
  Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).

  Specified by:
    `error` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(String domain,
                           String key,
                           XMLParseException exception)
                    throws XNIException

  Deprecated.
  Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

  Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

  Specified by:
    `fatalError` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

  Deprecated.

### handleError

    public boolean handleError(org.apache.xerces.dom3.DOMError error)

  Deprecated.
  Specified by:
    `handleError` in interface `org.apache.xerces.dom3.DOMErrorHandler`

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  Deprecated.
  Sets the DOM error handler.

### warning

    public void warning(String domain,
                        String key,
                        XMLParseException exception)
                 throws XNIException

  Deprecated.
  Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.

  Specified by:
    `warning` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD